/*
   AntiRight
   (c) 2003-2004 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

typedef struct antiright_menubar_structure
{
  Widget menubar_widget;
  Widget file_widget;
  Widget edit_widget;
  Widget help_widget;
  Widget view_widget;
  Widget options_widget;
} antiright_menubar_structure;

Widget
antiright_menubar(Widget parent_widget);

Widget 
antiright_menu(Widget parent_widget, 
	       char* name);

Widget
antiright_edit_menu(Widget menubar_widget,
		    Widget text_widget);

struct antiright_menubar_structure
antiright_defined_menubar(Widget parent_widget, /* This is the parent
						   of the menubar,
						   which is usually
						   your main window
						   widget.  */
			  Widget text_widget); /*  This is used by the
						   edit menu for the
						   source and
						   destination for the
						   text that is to be
						   copied, cut, and
						   pasted.  */

struct antiright_menubar_structure
antiright_define_menubar(struct antiright_menubar_structure menubar, 
			 Widget text_widget); /*  This is used by the
						  edit menu for the
						  source and
						  destination for the
						  text that is to be
						  copied, cut, and
						  pasted.  Set to NULL
						  if not used.  */

